* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    /* background & text */
    --color-black: #242325;
    /* blackest buttons */
    --color-dark-gray: #363332;
    --color-brown: #805d40;
    /* color button */
    --color-orange: #dc965a;
    /* background & text */
    --color-grey: #9f9f9f;
    --color-ugly-green: #a8b6a4;
    --color-ligh-grey: #d3d3d3;
    --color-white: #f5ede2;
    --color-true-white: #ffffff;
    --shadow-color: rgba(0, 0, 0, 0.29);
}

/* GENERAL */

html {
    height: 100%;
}

body {
    height: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--color-white);
}

/* HEADER */
header {
    /* position */
    width: 100%;
    height: auto;
    padding: 1rem;
    /* display */
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* other */
    box-shadow: 3px 17px 18px -11px var(--shadow-color);
    -webkit-box-shadow: 3px 17px 18px -11px var(--shadow-color);
    -moz-box-shadow: 3px 17px 18px -11px var(--shadow-color);
    /* color */
    background-color: var(--color-black);
}

h1 {
    font-family: Grotesk;
    font-size: 4rem;
    color: var(--color-true-white);
}

/* MAIN */
main {
    /* position */
    height: 100%;
    width: 100%;
    /* display */
    display: flex;
    align-items: center;
    justify-content: center;
}

.calculator__body {
    /* position */
    width: 100%;
    height: 100%;
    max-width: 400px;
    max-height: 550px;
    position: relative;
    /* display */
    display: grid;
    padding: 2rem;
    grid-template-areas:
        "scr scr scr scr"
        "div mul res bac"
        "sev hei nin inv"
        "fou fiv six sub"
        "one two thr add"
        "zer zer dot equ"
        "cop cop cop cop";
    gap: 8px;
    /* other */
    border-radius: 0.75rem;
    box-shadow: 10px 10px 30px 0px rgba(255, 255, 255, 0.5) inset, 9px 10px 68px -13px rgba(0,0,0,0.75);
    /* color */
    /* TODO */
    background-color: var(--color-dark-gray);
}
.calculator__body::after {
    content: "";
    position: absolute;
    top: 10px; /* 10px vers le bas */
    right: -10px; /* 10px vers la gauche */
    width: 100%;
    height: 100%;
    border-radius: 0.75rem;
    background: inherit; /* ou la couleur que tu veux */
    z-index: -1; /* si tu veux qu’il soit derrière */
}

/* ALL THE BUTTONS */
.calculator__button {
    font-size: 2rem;
    border-radius: 0.5rem;
    /* color */
    /* TODO */
    background-color: var(--color-ligh-grey);
    border: 2px solid var(--color-black);
    box-shadow: 9px 10px 68px -13px rgba(0,0,0,0.4) inset;
    cursor: pointer;
}
.calculator__button:active {
    transform: translate(2px, 2px);
}


.calculator__button--0 {
    grid-area: zer;
}
.calculator__button--1 {
    grid-area: one;
}
.calculator__button--2 {
    grid-area: two;
}
.calculator__button--3 {
    grid-area: thr;
}
.calculator__button--4 {
    grid-area: fou;
}
.calculator__button--5 {
    grid-area: fiv;
}
.calculator__button--6 {
    grid-area: six;
}
.calculator__button--7 {
    grid-area: sev;
}
.calculator__button--8 {
    grid-area: hei;
}
.calculator__button--9 {
    grid-area: nin;
}
.calculator__button--dot {
    grid-area: dot;
}
.calculator__button--add {
    grid-area: add;
}
.calculator__button--substracte {
    grid-area: sub;
}
.calculator__button--multiply {
    grid-area: mul;
}
.calculator__button--divide {
    grid-area: div;
}
.calculator__button--inverted {
    grid-area: inv;
}
.calculator__button--backspace {
    grid-area: bac;
}
.calculator__button--reset {
    grid-area: res;
}
.calculator__button--equal {
    grid-area: equ;
    /* TODO */
    background-color: var(--color-orange);
}
.calculator__button--copyResult {
    grid-area: cop;
    background-color: transparent;
    color: var(--color-grey);
    font-size: 1rem;
    text-decoration: underline;
    border: none;
    box-shadow: none;
}












/* display */
.calculator__displayResultDiv {
    grid-area: scr;
    /* position */
    height: 100%;
    min-width: 100%;
    width: auto;
    /* display */
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    padding: 0.25rem 0.5rem 0;
    /* other */
    overflow-x: scroll;
    box-shadow: 9px 10px 68px -13px rgba(0,0,0,0.75) inset;
    border: solid 2px transparent;
    font-family: 'Calculator';
    /* color */
    background-color: var(--color-ugly-green);
    border-color: black;
}
/* SCROLLBAR */
.calculator__displayResultDiv::-webkit-scrollbar {
    height: 10px;
}
.calculator__displayResultDiv::-webkit-scrollbar-track {
    background-color: transparent;
}
.calculator__displayResultDiv::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.29);
}

.calculator__displayResult {
    width: 100%;
    text-align: end;
}
.calculator__displayResult--memory {
    font-size: 1.45rem;
}
.calculator__displayResult--operation {
    font-size: 1.25rem;
}
.calculator__displayResult--main {
    font-size: 2rem;
}
